Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class CostoTotaleMensileLordo

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.CostoTotaleMensileLordo

    public class CostoTotaleMensileLordo

extends java.lang.Object

Dati relativi al costo totale mensile lordo del dipendente.

Field Summary
`private java.lang.String` | `dataFine` Data di fine validitā del costo totale mensile lordo di un dipendente sostenuto dall'Azienda Sanitaria di appartenenza.
`private java.lang.String` | `dataInizio` Data di inzio validitā del costo totale mensile lordo di un dipendente sostenuto dall'Azienda Sanitaria di appartenenza.
`private ElencoImportoArretratoCostoDipendente` | `elencoImportiArretrati` Importo legato al costo di un dipendente e riferito ad una annualitā arretrata.
`private java.lang.String` | `impMensile` Costo lordo mensile del dipendente.

Constructor Summary
`CostoTotaleMensileLordo()`

Method Summary
`java.lang.String` | `getDataFine()`
`java.lang.String` | `getDataInizio()`
`ElencoImportoArretratoCostoDipendente` | `getElencoImportiArretrati()`
`java.lang.String` | `getImpMensile()`
`void` | `setDataFine(java.lang.String dataFine)`
`void` | `setDataInizio(java.lang.String dataInizio)`
`void` | `setElencoImportiArretrati(ElencoImportoArretratoCostoDipendente elencoImportiArretrati)`
`void` | `setImpMensile(java.lang.String impMensile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataInizio

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=1L)
    private java.lang.String dataInizio

  Data di inzio validitā del costo totale mensile lordo di un dipendente sostenuto dall'Azienda Sanitaria di appartenenza. Il campo č obbligatorio se č avvalorato l'importo mensile.

### dataFine

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataFine

  Data di fine validitā del costo totale mensile lordo di un dipendente sostenuto dall'Azienda Sanitaria di appartenenza. Il campo č obbligatorio se č avvalorato l'importo mensile.

### impMensile

    @Facets(maxLength=16L,
            pattern="[0-9]{1,12}[,]{1}[0-9]{1,3}")
    @MinOccurs(value=1L)
    private java.lang.String impMensile

  Costo lordo mensile del dipendente. Il campo č obbligatorio se viene avvalorata la data di inizio del costo totale.

### elencoImportiArretrati

    @MinOccurs(value=0L)
    @MaxOccurs(value=5L)
    private ElencoImportoArretratoCostoDipendente elencoImportiArretrati

  Importo legato al costo di un dipendente e riferito ad una annualitā arretrata.

Constructor Detail

### CostoTotaleMensileLordo

    public CostoTotaleMensileLordo()

Method Detail

### setDataInizio

    public void setDataInizio(java.lang.String dataInizio)

### getDataInizio

    public java.lang.String getDataInizio()

### setDataFine

    public void setDataFine(java.lang.String dataFine)

### getDataFine

    public java.lang.String getDataFine()

### setImpMensile

    public void setImpMensile(java.lang.String impMensile)

### getImpMensile

    public java.lang.String getImpMensile()

### setElencoImportiArretrati

    public void setElencoImportiArretrati(ElencoImportoArretratoCostoDipendente elencoImportiArretrati)

### getElencoImportiArretrati

    public ElencoImportoArretratoCostoDipendente getElencoImportiArretrati()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD